%define upstream_name    ExtUtils-MakeMaker
%define upstream_version 7.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    1
Summary:    Writes Makefiles for extensions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     ExtUtils-MakeMaker-6.59-prevent-bundled-copies.patch
# append to config cflags debian #628522
Patch1:     ExtUtils-MakeMaker-6.62-append_to_config_cflags_instead_of_overriding.patch

# META.json file lacks in req.
# this BR List is mandatory if tests enabled. Symbianflo
BuildRequires:  perl-devel
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec) 
BuildRequires:  perl(base)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(version)
BuildRequires:  perl(warnings)
BuildRequires:  perl(ExtUtils::ParseXS)
BuildRequires:  perl(AutoSplit)
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DirHandle)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(ExtUtils::Command)
BuildRequires:  perl(ExtUtils::Install)
BuildRequires:  perl(ExtUtils::Installed)
BuildRequires:  perl(ExtUtils::Manifest)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(overload)
BuildRequires:  perl(Parse::CPAN::Meta)
BuildRequires:  perl(Pod::Man)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::Harness)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(PerlIO)
#

BuildArch:  noarch

%description
Include all the modules bundled with MakeMaker in @INC so
ExtUtils::MakeMaker will load.

This is for bootstrapping the process of deciding how much of the bundles
we need.

copy_bundles() copies the contents of each bundle, if necessary, into inc/
as a flattened module directory that MakeMaker can install.

%prep
%setup -qn %{upstream_name}-%{upstream_version}
%patch0 -p0 
%patch1 -p3

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std
mv %{buildroot}/%{_bindir}/instmodsh   %{buildroot}/%{_bindir}/instmodsh.%{upstream_version}
mv %{buildroot}/%{_mandir}/man1/instmodsh.1 %{buildroot}/%{_mandir}/man1/instmodsh.%{upstream_version}.1

%files
%doc Changes META.json META.yml NOTES README
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*

%changelog

* Mon Sep 14 2015 abfonly <abfonly@gmail.com> 7.100.0-1
- (387bffa) Log: Update to 7.100.0
- (387bffa) see Changes, for more detailes


